regina::Dim2ExampleTriangulation Class Reference
Triangulations

This class offers routines for constructing sample 2-manifold triangulations of various types. More...

`#include <dim2/dim2exampletriangulation.h>`

## Static Public Member Functions

static Dim2Triangulation * | orientable (unsigned genus, unsigned punctures)
| Returns a triangulation of the given orientable surface. More...
static Dim2Triangulation * | nonOrientable (unsigned genus, unsigned punctures)
| Returns a triangulation of the given non-orientable surface. More...
static Dim2Triangulation * | sphere ()
| Returns a two-triangle 2-sphere. More...
static Dim2Triangulation * | sphereTetrahedron ()
| Returns the four-triangle 2-sphere formed from the boundary of a tetrahedron. More...
static Dim2Triangulation * | sphereOctahedron ()
| Returns the eight-triangle 2-sphere formed from the boundary of an octahedron. More...
static Dim2Triangulation * | disc ()
| Returns a one-triangle disc. More...
static Dim2Triangulation * | annulus ()
| Returns a two-triangle annulus. More...
static Dim2Triangulation * | mobius ()
| Returns a one-triangle Mobius band. More...
static Dim2Triangulation * | torus ()
| Returns a two-triangle torus. More...
static Dim2Triangulation * | rp2 ()
| Returns a two-triangle projective plane. More...
static Dim2Triangulation * | kb ()
| Returns a two-triangle Klein bottle. More...

## Detailed Description

This class offers routines for constructing sample 2-manifold triangulations of various types.

These triangulations may be useful for testing new code, or for simply getting a feel for how Regina works.

The sample triangulations offered here may prove especially useful in Regina's scripting interface, where working with pre-existing files is more complicated than in the GUI.

Note that each of these routines constructs a new triangulation from scratch. It is up to the caller of each routine to destroy the triangulation that is returned.

## Member Function Documentation

static Dim2Triangulation* regina::Dim2ExampleTriangulation::annulus | ( |  | ) |

static

Returns a two-triangle annulus.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::disc | ( |  | ) |

static

Returns a one-triangle disc.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::kb | ( |  | ) |

static

Returns a two-triangle Klein bottle.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::mobius | ( |  | ) |

static

Returns a one-triangle Mobius band.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::nonOrientable | ( | unsigned | genus,
|  | unsigned | punctures
| ) |  |

static

Returns a triangulation of the given non-orientable surface.

Parameters

  genus | the non-orientable genus of the surface, i.e., the number of crosscaps that it contains; this must be greater than or equal to one.
  punctures | the number of punctures in the surface; this must be greater than or equal to zero.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::orientable | ( | unsigned | genus,
|  | unsigned | punctures
| ) |  |

static

Returns a triangulation of the given orientable surface.

Parameters

  genus | the genus of the surface; this must be greater than or equal to zero.
  punctures | the number of punctures in the surface; this must be greater than or equal to zero.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::rp2 | ( |  | ) |

static

Returns a two-triangle projective plane.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::sphere | ( |  | ) |

static

Returns a two-triangle 2-sphere.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::sphereOctahedron | ( |  | ) |

static

Returns the eight-triangle 2-sphere formed from the boundary of an octahedron.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::sphereTetrahedron | ( |  | ) |

static

Returns the four-triangle 2-sphere formed from the boundary of a tetrahedron.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

static Dim2Triangulation* regina::Dim2ExampleTriangulation::torus | ( |  | ) |

static

Returns a two-triangle torus.

Returns
  a newly constructed triangulation, which must be destroyed by the caller of this routine.

The documentation for this class was generated from the following file:

- dim2/dim2exampletriangulation.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).